> For the complete documentation index, see [llms.txt](https://docs.jabref.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jabref.org/v5/collect/add-entry-manually.md).

# Add entry manually

To add a new entry, select **Library → New entry...**, press `CTRL + N​` or click on the dedicated icon of the toolbar.

A dialog window is displayed. By default, 5 common types of entries are displayed:

![Window for selecting default entry types. Note: the actual content of the "others" menu depends on the database mode (BibTeX or biblatex).](/files/-MV0jFfQ7TXliVg-KRy8)

For other types of entries, click on `Others.` That expands the window and displays the other entry types available:

![Window with all available entry types. Note: the actual content of the "others" menu depends on the database mode (BibTeX or biblatex).](/files/-MV0jLefOJDkPCrWFrwq)

Finally, the [entry editor](/v5/advanced/entryeditor.md) opens and let you fill in the various fields.

{% hint style="info" %}
You can directly create a new entry of a specific entry type by using a keyboard shortcut. We strongly recommend learning the shortcuts for the entry types you use most often, e.g. `Ctrl + Shift + A` for adding an article entry.​ See **Options → Customize key bindings**.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.jabref.org/v5/collect/add-entry-manually.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
